package com.goldenwater.slaj.eutr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eutr.mapper.BisEutrOfflRecMapper;
import com.goldenwater.slaj.eutr.domain.BisEutrOfflRec;
import com.goldenwater.slaj.eutr.service.IBisEutrOfflRecService;

@Service
public class BisEutrOfflRecServiceImpl implements IBisEutrOfflRecService {
    @Autowired
    private BisEutrOfflRecMapper bisEutrOfflRecMapper;

    @Override
    public BisEutrOfflRec selectBisEutrOfflRecByGuid(String guid) {
        return bisEutrOfflRecMapper.selectBisEutrOfflRecByGuid(guid);
    }

    @Override
    public List<BisEutrOfflRec> selectBisEutrOfflRecList(BisEutrOfflRec bisEutrOfflRec) {
        return bisEutrOfflRecMapper.selectBisEutrOfflRecList(bisEutrOfflRec);
    }

    @Override
    public int insertBisEutrOfflRec(BisEutrOfflRec bisEutrOfflRec) {
        return bisEutrOfflRecMapper.insertBisEutrOfflRec(bisEutrOfflRec);
    }

    @Override
    public int updateBisEutrOfflRec(BisEutrOfflRec bisEutrOfflRec) {
        return bisEutrOfflRecMapper.updateBisEutrOfflRec(bisEutrOfflRec);
    }

    @Override
    public int deleteBisEutrOfflRecByGuid(String guid) {
        return bisEutrOfflRecMapper.deleteBisEutrOfflRecByGuid(guid);
    }

    @Override
    public int deleteBisEutrOfflRecByGuids(String[] guids) {
        return bisEutrOfflRecMapper.deleteBisEutrOfflRecByGuids(guids);
    }
}
